[h3]$Projectname Governance[/h3]
Governance relates to the management of a project and particularly how this relates to conflict resolution.

[h4]Community Governance[/h4]
The project is maintained and decisions made by the 'community'. The governance structure is still evolving. Until the structure is finalised, decisions are made in the following order:

[ol]
[*] Lazy Consensus

If a project proposal is made to one of the community governance forums and there are no serious objections in a "reasonable" amount of time from date of proposal (we usually provide 2-3 days for all interested parties to weigh in), no vote needs to be taken and the proposal will be considered approved. Some concerns may be raised at this time, but if these are addressed during discussion and work-arounds provided, it will still be considered approved. 


[*] Veto

Senior developers with a significant history of project commits may veto any decision. The decision may not proceed until the veto is removed or an alternative proposal is presented.


[*] Community Vote

A decision which does not have a clear mandate or clear consensus, but is not vetoed, can be taken to a community vote. At present this is a simple popular vote in one of the applicable community forums.  At this time, popular vote decides the outcome. This may change in the future if the community adopts a 'council' governance model. This document will be updated at that time with the updated governance rules. 
[/ol]

Community Voting does not always provide a pleasant outcome and can generate polarised factions in the community (hence the reason why other models are under consideration). If the proposal is 'down voted' there are still several things which can be done and the proposal re-submitted with slightly different parameters (convert to an addon, convert to an optional feature which is disabled by default, etc.). If interest in the feature is high and the vote is "close", it can generate lots of bad feelings amongst the losing voters. On such close votes, it is [b]strongly recommended[/b] that the proposer take steps to address any concerns that were raised and re-submit.

  

[h4]Privacy Policy[/h4]

Q: Who can see my content?
 
A: By default ANYBODY on the internet, UNLESS you restrict it. $Projectname allows you to choose the privacy level you desire. Restricted content will NOT be visible to "spy networks" and advertisers. It will be protected against eavesdropping by outsiders - to the best of our ability. Hub administrators with sufficient skills and patience MAY be able to eavesdrop on some private communications but they must expend effort to do so. Privacy modes exist within $Projectname which are even resistant to eavesdropping by skilled and determined hub administrators.    

Q: Can my content be censored?

A: $Projectname (the network) CANNOT censor your content. Server and hub administrators are subject to local laws and MAY remove objectionable content from their site/hub. Anybody MAY become a hub administrator, including you; and therefore publish content which might otherwise be censored. You still MAY be subject to local laws.   


[h5]Definitions[/h5]

**$Projectname** 

Otherwise referred to as "the network", $Projectname is a collection of individual computers/servers (aka **hubs**) which connect together to form a larger cooperative network. 

**hub** 

An individual computer or server connected to $Projectname. These are provided by a **hub administrator** and may be public or private, paid or free.

**hub administrator**

The system operator of an individual hub. 

[h5]Policies[/h5]

**Public Information**

Any information or anything posted by you within $Projectname MAY be public or visible to anybody on the internet. To the extent possible, $Projectname allows you to protect content and restrict who can view it.

Your profile photo, your channel name, and the location (URL or network address) of your channel are visible to anybody on the internet and privacy controls will not affect the display of these items. 

You MAY additionally provide other profile information. Any information which you provide in your "default" or **public profile** MAY be transmitted to other hubs in $Projectname and additionally MAY be displayed in the channel directory. You can restrict the viewing of this profile information. It may be restricted only to members of your hub, or only connections (friends), or other limited sets of viewers as you desire. If you wish for your profile to be restricted, you must set the appropriate privacy setting, or simply DO NOT provide additional information. 

**Content**

Content you provide (status posts, photos, files, etc.) belongs to you. $Projectname default is to publish content openly and visible to anybody on the internet (PUBLIC). You MAY control this in your channel settings and restrict the default permissions or you MAY restrict the visibility of any single published item separately (PRIVATE). $Projectname developers will ensure that restricted content is ONLY visible to those in the restriction list - to the best of their ability. 

Content (especially status posts) that you share with other networks or that you have made visible to anybody on the internet (PUBLIC) cannot easily be taken back once it has been published. It MAY be shared with other networks and made available through RSS/Atom feeds. It may also be syndicated on other $Projectname sites. It MAY appear on other networks and websites and be visible in internet searches. If you do not wish this default behaviour please adjust your channel settings and restrict who can see your content. 

**Comments and Forum posts**

Comments to posts that were created by others and posts which are designated as forum posts belong to you as the creator/author, but the distribution of these posts is not under your direct control, and you relinquish SOME rights to these items. These posts/comments MAY be re-distributed to others, and MAY be visible to anybody on the internet. In the case of comments, the creator of the "first message" in the thread (conversation) to which you are replying controls the distribution of all comments and replies to that message. They "own" and therefore have certain rights with regard to the entire conversation (including all comments contained within it). You can still edit or delete the comment, but the conversation owner also has rights to edit, delete, re-distribute, and backup/restore any or all the content from the conversation. 

**Private Information**

$Projectname developers will ensure that any content you provide which is designated as PRIVATE will be protected against eavesdropping - to the best of their ability. Private channel content CAN be seen in the database of every involved hub administrator, but private messages are obscured in the database. The latter means that it is very difficult, but NOT impossible for this content to be seen by a hub administrator. Private channel content and private messages are also stripped from email notifications. End to end encryption is provided as an optional feature and this CANNOT be seen, even by a determined administrator.  

[h5]Identity Privacy[/h5]

Privacy for your identity is another aspect. Because you have a decentralized identity in $Projectname, your privacy extends beyond your home hub. If you want to have complete control of your privacy and security you should run your own hub on a dedicated server. For many people, this is complicated and may stretch their technical abilities. So let's list a few precautions you can make to assure your privacy as much as possible.

A decentralized identity has a lot of advantages and gives you al lot of interesting features, but you should be aware of the fact that your identity is known by other hubs in $Projectname network. One of those advantages is that other channels can serve you customized content and allow you to see private things (such as private photos which others wish to share with you). Because of this those channels need to know who you are. But we understand that sometimes those other channels know more from you than you might desire. For instance the plug-in Visage that can tell a channel owner the last time you visit their profile. You can easily OPT-OUT of this low level and we think, harmless tracking.

* You can enable [Do Not Track (DNT)](http://donottrack.us/) in your web browser. We respect this new privacy policy proposal. All modern browsers support DNT. You will find it in the privacy settings of your browsers or else you can consult the web browser's manual. This will not affect the functionality of $Projectname. This setting is probably enough for most people.

*You can [disable publication](settings) of your channel in our channel directory. If you want people to find your channel, you should give your channel address directly to them. We think this is a good indication that you prefer extra privacy and automatically enable "Do Not Track" if this is the case.

* You can have a blocked hub. That means that all channels and content on that hub is not public, and not visible to the outside world. This is something only your hub administrator can do. We also respect this and automatically enable "Do Not Track" if it is set.

[h5]Censorship[/h5]

$Projectname is a global network which is inclusive of all religions and cultures. This does not imply that every member of the network feels the same way you do on contentious issues, and some people may be STRONGLY opposed to the content you post. In general, if you wish to post something that you know may nor be universally acceptable, the best approach is to restrict the audience using privacy controls to a small circle of friends. 

$Projectname as a network provider is unable to censor content. However, hub administrators MAY censor any content which appears on their hub to comply with local laws or even personal judgement. Their decision is final. If you have issues with any hub administrator, you may move your account and postings to another site which is more in line with your expectations. Please check (periodically) the [Terms of Service](help/TermsOfService) of your hub to learn about any rules or guidelines. If your content consists of material which is illegal or may cause issues, you are STRONGLY encouraged to host your own (become a hub administrator). You may still find that your content is blocked on some hubs, but $Projectname as a network cannot block it from being posted.

$Projectname RECOMMENDS that hub administrators provide a grace period of 1-2 days between warning an account holder of content that needs to be removed and physically removing or disabling the account. This will give the content owner an opportunity to export their channel meta-data and import it to another site. In rare cases the content may be of such a nature to justify the immediate termination of the account. This is a hub decision, not a $Projectname decision. 

If you typically and regularly post content of an adult or offensive nature, you are STRONGLY encouraged to mark your account "NSFW" (Not Safe For Work). This will prevent the display of your profile photo in the directory except to viewers that have chosen to disable "safe mode". If your profile photo is found by directory administrators to be adult or offensive, the directory administrator MAY flag your profile photo as NSFW. There is currently no official mechanism to contest or reverse this decision, which is why you SHOULD mark your own account NSFW if it is likely to be inappropriate for general audiences. 

[h3]Credits[/h3]

Thanks to all who have helped and contributed to the project and its predecessors over the years. 
It is possible we missed in your name but this is unintentional. We also thank the community and 
its members for providing valuable input and without whom this entire effort would be meaningless. 

It is also worth acknowledging the contributions and solutions to problems which arose from 
discussions amongst members and developers of other somewhat related and competing projects; 
even if we have had our occasional disagreements. 

[list]
[li]Mike Macgirvin[/li]
[li]Fabio Comuni[/li]
[li]Simon L'nu[/li]
[li]marijus[/li]
[li]Tobias Diekershoff[/li]
[li]fabrixxm[/li]
[li]tommy tomson[/li]
[li]Simon[/li]
[li]zottel[/li]
[li]Christian Vogeley[/li]
[li]Jeroen van Riet Paap (jeroenpraat)[/li]
[li]Michael Vogel[/li]
[li]erik[/li]
[li]Zach Prezkuta[/li]
[li]Paolo T[/li]
[li]Michael Meer[/li]
[li]Michael[/li]
[li]Abinoam P. Marques Jr[/li]
[li]Tobias Hößl[/li]
[li]Alexander Kampmann[/li]
[li]Olaf Conradi[/li]
[li]Paolo Tacconi[/li]
[li]tobiasd[/li]
[li]Devlon Duthie[/li]
[li]Zvi ben Yaakov (a.k.a rdc)[/li]
[li]Alexandre Hannud Abdo[/li]
[li]Olivier Migeot[/li]
[li]Chris Case[/li]
[li]Klaus Weidenbach[/li]
[li]Michael Johnston[/li]
[li]olivierm[/li]
[li]Vasudev Kamath[/li]
[li]pixelroot[/li]
[li]Max Weller[/li]
[li]duthied[/li]
[li]Martin Schmitt[/li]
[li]Sebastian Egbers[/li]
[li]Erkan Yilmaz[/li]
[li]sasiflo[/li]
[li]Stefan Parviainen[/li]
[li]Haakon Meland Eriksen[/li]
[li]Oliver Hartmann (23n)[/li]
[li]Erik Lundin[/li]
[li]habeascodice[/li]
[li]sirius[/li]
[li]Charles[/li]
[li]Tony Baldwin[/li]
[li]Hauke Zuehl[/li]
[li]Keith Fernie[/li]
[li]Anne Walk[/li]
[li]toclimb[/li]
[li]Daniel Frank[/li]
[li]Matthew Exon[/li]
[li]Michal Supler[/li]
[li]Tobias Luther[/li]
[li]U-SOUND\mike[/li]
[li]mrjive[/li]
[li]nostupidzone[/li]
[li]tonnerkiller[/li]
[li]Antoine G[/li]
[li]Christian Drechsler[/li]
[li]Ludovic Grossard[/li]
[li]RedmatrixCanada[/li]
[li]Stanislav Lechev [0xAF][/li]
[li]aweiher[/li]
[li]bufalo1973[/li]
[li]dsp1986[/li]
[li]felixgilles[/li]
[li]ike[/li]
[li]maase2[/li]
[li]mycocham[/li]
[li]ndurchx[/li]
[li]pafcu[/li]
[li]Simó Albert i Beltran[/li]
[li]Manuel Reva[/li]
[li]Manuel Jiménez Friaza[/li]
[li]Gustav Wall aka "neue medienordnung plus"[/li]
[/list]
